Page MenuHomePhabricator

Upgrade AQS to node 6.11
Closed, ResolvedPublic3 Story Points

Description

AQS needs to be tested/upgraded to nodejs 6.11

Related Objects

StatusAssignedTask
ResolvedMoritzMuehlenhoff
Resolvedelukey

Event Timeline

elukey created this task.Jul 17 2017, 7:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 7:56 AM
Nuria added a subscriber: Nuria.Jul 17 2017, 3:51 PM

We have version:

nuria@aqs1008:~$ node -v
v6.9.1

Nuria moved this task from Incoming to Dashiki on the Analytics board.Jul 17 2017, 3:51 PM

This is about upgrading debian package but we should probably rebuild deps with this version and deploy.

Nuria triaged this task as Medium priority.Jul 17 2017, 3:56 PM
elukey raised the priority of this task from Medium to High.Jul 25 2017, 10:55 AM

Installed new debian packages on deployment-aqs01.eqiad.wmflabs / deployment-aqs02.eqiad.wmflabs / deployment-aqs03.eqiad.wmflabs, ready for a test. Since this upgrade contains security updates I am raising the priority of this task to High.

elukey claimed this task.Jul 28 2017, 7:56 AM
elukey added a project: User-Elukey.
elukey edited projects, added Analytics-Kanban; removed Analytics.

Mentioned in SAL (#wikimedia-operations) [2017-07-28T07:56:43Z] <elukey> update nodejs to 6.11 on aqs1004 (testing prod node after beta qa) - T170790

elukey moved this task from Backlog to In Progress on the User-Elukey board.Jul 31 2017, 8:26 AM

Mentioned in SAL (#wikimedia-operations) [2017-07-31T08:55:09Z] <elukey> update nodejs* on aqs100[56789] to 6.11 - T170790

elukey moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jul 31 2017, 9:06 AM
elukey moved this task from In Progress to Done on the User-Elukey board.Aug 1 2017, 11:48 AM
Nuria set the point value for this task to 3.Aug 1 2017, 3:07 PM
Nuria closed this task as Resolved.Aug 2 2017, 12:33 AM